Redmine - Defect #22281

http://redmine.org results in a 403 Forbidden
2016-03-17 17:06 - Holger Just

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Website (redmine.org) Estimated time: 0.00 hour
Target version:

Resolution: Fixed Affected version:

Description

It seems that during a change of the webserver configuration for redmine.org, the non-www virtual host has gone missing. It would be
great of you could re-introduce this vhost or at least add a redirect to www.redmine.org. Thanks!

http://redmine.org 403 Forbidden
http://www.redmine.org 200 OK
https://redmine.org 200 OK
https://www.redmine.org 200 OK

Related issues:

Related to Redmine - Defect #24864: svn.redmine.org: "The certificate is not ... Closed
Has duplicate Redmine - Defect #22392: 403 for redmine.org without www Closed
Has duplicate Redmine - Defect #22489: Browsing to http://redmine.org/ result... Closed
Has duplicate Redmine - Defect #22791: Redmine.org => forbidden Closed
Has duplicate Redmine - Defect #22896: Root Domain Provides 403 Forbidden Error Closed
Has duplicate Redmine - Defect #24777: Non-www version of redmine.org does no... Closed
Has duplicate Redmine - Defect #24834: Redmine website shows 403 error Closed
History

#1 - 2016-03-17 18:40 - Shubham Chaudhary

Holger Just wrote:

It seems that during a change of the webserver configuration for redmine.org, the non-www virtual host has gone missing. It would be great of
you could re-introduce this vhost or at least add a redirect to www.redmine.org. Thanks!

http://redmine.org 403 Forbidden

| wanted to verify. New Delhi. India.

http://www.redmine.org 200 OK
https://redmine.org 200 OK
https://www.redmine.org 200 OK

#2 - 2016-04-05 08:28 - Go MAEDA
- Has duplicate Defect #22392: 403 for redmine.org without www added

#3 - 2016-04-13 18:22 - Toshi MARUYAMA
- Has duplicate Defect #22489: Browsing to http.//redmine.org/ results in HTTP 403 Forbidden error added

#4 - 2016-05-11 10:03 - Toshi MARUYAMA
- Has duplicate Defect #22791: Redmine.org => forbidden added

#5 - 2016-05-18 12:19 - John Leach
when searching for the term "redmine" using the duckduckgo search engine, http:/redmine.org is listed as the first result as the "official site" (which
then goes to the 403 forbidden site). So this is quite a bad experience for some people! Arguably ddg should fix this, but presumably they scraped it
from somewhere else, so | guess the url is out there.

#6 - 2016-05-25 13:30 - Toshi MARUYAMA
- Has duplicate Defect #22896: Root Domain Provides 403 Forbidden Error added

#7 - 2017-01-08 01:19 - Go MAEDA

- Has duplicate Defect #24777: Non-www version of redmine.org does not work added

#8 - 2017-01-15 12:27 - Toshi MARUYAMA
- Has duplicate Defect #24834: Redmine website shows 403 error added

#9 - 2017-01-18 20:20 - Toshi MARUYAMA

- Related to Defect #24864: svn.redmine.org: "The certificate is not issued by a trusted authority" added

#10 - 2017-01-31 09:35 - Aleksandar Pavic

Well since redmine.org is served by apache here is Apache's .htaccess file that | use which is SEO friendly and works in every case, redirecting users
from non-www to www, and forcing SSL:

<IfModule mod_rewrite.c>

RewriteEngine On

RewriteCond %{HTTP_HOST} !"“www\.
RewriteRule 7 (.*)$ https://www.${HTTP_HOST}/$1 [R=301,L]
</IfModule>

You just need to enable mod-rewrite.

#11 - 2017-02-01 03:23 - Toshi MARUYAMA

+1 forcing SSL.
| don't want to log-in to redmine.org on free Wi-Fi area.

#12 - 2017-05-22 14:41 - Fernando Hartmann
| just realized that http:/redmine.org is now returning HTTP 302

~$ curl -v http://redmine.org

* Rebuilt URL to: http://redmine.org/

* Trying 46.4.36.71...

Connected to redmine.org (46.4.36.71) port 80 (#0)
GET / HTTP/1.1

Host: redmine.org

User—-Agent: curl/7.47.0

Accept: */*

*

HTTP/1.1 302 Found

Date: Mon, 22 May 2017 12:39:15 GMT

Server: Apache

Location: http://www.redmine.org/

Vary: Accept-Encoding

Content-Length: 207

Content-Type: text/html; charset=is0o-8859-1

AN AN AN AN AN AN ANV V V VYV

<

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">

<html><head>

<title>302 Found</title>

</head><body>

<hl>Found</hl>

<p>The document has moved <a href="http://www.redmine.org/">here</a>.</p>
</body></html>

* Connection #0 to host redmine.org left intact

Toshi MARUYAMA wrote:

+1 forcing SSL.
| don't want to log-in to redmine.org on free Wi-Fi area.
Unfortunately this wasn't done, we are redirecting to HTTP, :-/

#13 - 2020-01-10 03:37 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Fixed

Now "GET http://redmine.org" returns "302 Found" instead of "403 Forbidden". In addition, HTTP is redirected to HTTPS.

http://redmine.org 302 Found (Location: https:/redmine.org/)
http://www.redmine.org 302 Found (Location: https://www.redmine.org/)
https://redmine.org 200 OK
https://www.redmine.org 200 OK

2025-07-02 3/3



http://redmine.org
http://redmine.org
https://redmine.org/
http://www.redmine.org
https://www.redmine.org/
https://redmine.org
https://www.redmine.org
http://www.tcpdf.org

